/******************************************************************************/
/*                                                                            */
/*         SAS Program to combine SAS merged files from P16 and PL16          */
/*                           PIRLS 2016 User Guide                            */
/*                                                                            */
/******************************************************************************/

%MACRO CMB_P16_PL16 (P16FILE  =  ,
                     PL16FILE =  ,
                     INDIR    =  ,
                     OUTDIR   =  ) ;

  LIBNAME INDIR  "&INDIR" ;
  LIBNAME OUTDIR "&OUTDIR" ;

  OPTIONS NONOTES FMTSEARCH=(INDIR,OUTDIR) MPRINT ;

  DATA OUTDIR.&P16FILE._CMB ;
       SET INDIR.&P16FILE
           INDIR.&PL16FILE ;
  RUN ;

%MEND CMB_P16_PL16 ;

%CMB_P16_PL16 (P16FILE  = <specify PIRLS 2016 file name> ,
               PL16FILE = <specify PIRLS Literacy 2016 file name> ,
               INDIR    = <specify location of input file using format "x:\xxx"> ,
               OUTDIR   = <specify location of output file using format "x:\xxx"> ) ;
